/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Modality PPS Discontinuation Reasons
 */
public enum EnumCV_ModalityPPSDiscontinuationReasons {

	//Modality PPS Discontinuation Reasons - CID 9301
	DOCTOR_CANCELED_PROCEDURE_110500("110500"),
	EQUIPMENT_FAILURE_110501("110501"),
	INCORRECT_PROCEDURE_ORDERED_110502("110502"),
	PATIENT_ALLERGIC_TO_MEDIA_CONTRAST_110503("110503"),
	PATIENT_DIED_110504("110504"),
	PATIENT_REFUSED_TO_CONTINUE_PROCEDURE_110505("110505"),
	PATIENT_TAKEN_FOR_TREATMENT_OR_SURGERY_110506("110506"),
	PATIENT_DID_NOT_ARRIVE_110507("110507"),
	PATIENT_PREGNANT_110508("110508"),
	CHANGE_OF_PROCEDURE_FOR_CORRECT_CHARGING_110509("110509"),
	DUPLICATE_ORDER_110510("110510"),
	NURSING_UNIT_CANCEL_110511("110511"),
	INCORRECT_SIDE_ORDERED_110512("110512"),
	DISCONTINUED_FOR_UNSPECIFIED_REASON_110513("110513"),
	INCORRECT_WORKLIST_ENTRY_SELECTED_110514("110514"),
	PATIENT_CONDITION_PREVENTED_CONTINUING_110515("110515"),
	EQUIPMENT_CHANGE_110516("110516"),
	INJECTION_SITE_EXTRAVASATION_D0_B0330("D0-B0330"),
	RADIOPHARMACEUTICAL_ADVERSE_REACTION_DF_10780("DF-10780");

	private String value;

	EnumCV_ModalityPPSDiscontinuationReasons(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
